/* Copyright (C) 2007  Mikko Sysikaski <mikko.sysikaski@gmail.com>
 * This program is free software distributed under GNU General Public License
 * version 3 or (at your option) any later version.
 * No warranty of any kind is provided. See the accompanying file COPYING for details.
 */

#ifndef MAINMENU_H
#define MAINMENU_CPP

#include "actionmenu.h"

class BoardPicker;
class OptionsMenu;
class PackPicker;
class MazeSetter;

class MainMenu: public ActionMenu<MainMenu> {
public:
	MainMenu();
	void draw();
	bool pick(int num);

private:
	BoardPicker* m_boards;
	PackPicker* m_packs;
	OptionsMenu* m_options;
	MazeSetter* m_maze;
	
	void drawTitle();
};

#endif
